﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 디비전
    /// </summary>
    public class Division
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 명칭
        /// </summary>
        private string name;

        /// <summary>
        /// 팀 리스트
        /// </summary>
        private List<Team> teamList;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        public string Name
        {
            get
            {
                return this.name;
            }
        }

        #endregion
        #region 팀 리스트 - TeamList

        /// <summary>
        /// 팀 리스트
        /// </summary>
        public List<Team> TeamList
        {
            get
            {
                return this.teamList;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - Division(name)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="name">명칭</param>
        public Division(string name)
        {
            this.name     = name;
            this.teamList = new List<Team>();
        }

        #endregion
    }
}