﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 리그
    /// </summary>
    public class League
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 명칭
        /// </summary>
        private string name;

        /// <summary>
        /// 디비전 리스트
        /// </summary>
        private List<Division> divisionList;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        public string Name
        {
            get
            {
                return this.name;
            }
        }

        #endregion
        #region 디비전 리스트 - DivisionList

        /// <summary>
        /// 디비전 리스트
        /// </summary>
        public List<Division> DivisionList
        {
            get
            {
                return divisionList;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - League(name)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="name">명칭</param>
        public League(string name)
        {
            this.name         = name;
            this.divisionList = new List<Division>();
        }

        #endregion
    }
}