﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 리그 리스트
    /// </summary>
    public class LeagueList : List<League>
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - LeagueList()

        /// <summary>
        /// 생성자
        /// </summary>
        public LeagueList()
        {
            League league;

            Division division;

            league = new League("League A");

            Add(league);

            division = new Division("Division A");

            league.DivisionList.Add(division);

            division.TeamList.Add(new Team("Team I"  ));
            division.TeamList.Add(new Team("Team II" ));
            division.TeamList.Add(new Team("Team III"));
            division.TeamList.Add(new Team("Team IV" ));
            division.TeamList.Add(new Team("Team V"  ));

            division = new Division("Division B");

            league.DivisionList.Add(division);

            division.TeamList.Add(new Team("Team Blue"  ));
            division.TeamList.Add(new Team("Team Red"   ));
            division.TeamList.Add(new Team("Team Yellow"));
            division.TeamList.Add(new Team("Team Green" ));
            division.TeamList.Add(new Team("Team Orange"));

            division = new Division("Division C");

            league.DivisionList.Add(division);

            division.TeamList.Add(new Team("Team East" ));
            division.TeamList.Add(new Team("Team West" ));
            division.TeamList.Add(new Team("Team North"));
            division.TeamList.Add(new Team("Team South"));

            league = new League("League B");

            Add(league);

            division = new Division("Division A");

            league.DivisionList.Add(division);

            division.TeamList.Add(new Team("Team 1"));
            division.TeamList.Add(new Team("Team 2"));
            division.TeamList.Add(new Team("Team 3"));
            division.TeamList.Add(new Team("Team 4"));
            division.TeamList.Add(new Team("Team 5"));

            division = new Division("Division B");

            league.DivisionList.Add(division);

            division.TeamList.Add(new Team("Team Diamond"));
            division.TeamList.Add(new Team("Team Heart"  ));
            division.TeamList.Add(new Team("Team Club"   ));
            division.TeamList.Add(new Team("Team Spade"  ));

            division = new Division("Division C");

            league.DivisionList.Add(division);

            division.TeamList.Add(new Team("Team Alpha"  ));
            division.TeamList.Add(new Team("Team Beta"   ));
            division.TeamList.Add(new Team("Team Gamma"  ));
            division.TeamList.Add(new Team("Team Delta"  ));
            division.TeamList.Add(new Team("Team Epsilon"));
        }

        #endregion
    }
}